/*
	QTMovieGE.h
	
	QuickTime movie as a graphic element
	
	Copyright 1995 by Al Evans. All rights reserved.
	
	5/10/95
	
*/

#ifndef QTMOOVGE
#define QTMOOVGE

#include <Movies.h>

#ifndef GRAPHELEMENTS
#include "GraphElements.h"
#endif

#ifdef __cplusplus
extern "C" {
#endif

typedef struct {
	GrafElement		baseGraphic;
	Movie			geMovie;
	Point			tlSave;			// To keep movie position in synch with element pos.
} QTMovieGE, *QTMovieGEPtr;

GrafElPtr NewQTMovieGE(GEWorldPtr world, OSType id, short plane, 
											Movie movie, short xPos, short yPos);
											
Movie GetGEMovie(GEWorldPtr world, OSType movieGEID);


// Autochange proc for QuickTime movie GE -- takes care of running movie and updating
// position. If your application provides an explicit autochange proc for a Movie GE,
// be sure to call this one at the end of it!

pascal void GEMovieAutoChange(GEWorldPtr world, GrafElPtr element);

#ifdef __cplusplus
}
#endif

#endif